#include "config.h"
#include "resoff.h"
#include "boolean.h"

int client_cmdchk (int argc, char **argv) 
{

    if ( argc < 2 ) {                     /* too small arguments */
        return (FALSE);
    }
    else if ( argv[1][0] == '-' && strlen(argv[1]) == 2 ) {  /* -r, -d, -l */
        switch( argv[1][1] ) {
	case 'r' :
	    if ( argc == 5 ) {
                if ( is_rsv_cmd(argv) )
                    return (_RESERVE);
            }
	    break;
	case 'd' :
	    if ( argc == 5 || argc == 4 ) { 
                if ( is_cancel_cmd(argv) )
                    return (_CANCEL);
            }
	    break;
	case 'l' :
	    if ( argc == 2 ) { return (_LIST); }
	    break;
	default:
	    return (FALSE);
	}
    }

    return (FALSE);
    
}

int is_rsv_cmd (char **argv) 
{
    
    if ( !(course_check(argv[4])) && get_db_index(argv) > -1 ) {
        return (TRUE);
    }

    return (FALSE);

}

int is_cancel_cmd (char **argv)
{
    
    if ( get_db_index(argv) > -1 )
        return (TRUE);
    
    return (FALSE);
    
}
