#include "config.h"
#include "resoff.h"
#include "boolean.h"

int client_cmdchk (int argc, char **argv) 
{

    if ( argc < 2 ) {                     /* too small arguments */
        print_usage();
        exit(0);
    }
    else if ( argv[1][0] == '-' && strlen(argv[1]) == 2 ) {  /* -r, -d, -l */
        switch( argv[1][1] ) {
	case 'r' :
	    if ( argc == 5 ) {
                if ( (is_rsv_cmd(argv)) )
                    return (_RESERVE);
            }
	    break;
	case 'd' :
	    if ( argc == 5 || argc == 4 ) { 
                if ( (is_cancel_cmd(argv)) )
                    return (_CANCEL);
            }
	    break;
	case 'l' :
	    if ( argc == 2 ) { return (_LIST); }
	    break;
	default:
	    return (FALSE);
	}
    }

    return (FALSE);
    
}
