#include "config.h"
#include "echo.h"

int
main(int argc, char **argv)
{
   int listenfd, connfd;
   /*pid_t childpid;*/
   socklen_t clilen;
   struct sockaddr_in cliaddr, servaddr;
   char buf[200];
   
   if ( (listenfd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
      ERR_QUIT ("socket");
   }

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family      = AF_INET;
   servaddr.sin_addr.s_addr = htonl(INADDR_ANY);
   servaddr.sin_port        = htons(SERV_PORT);

   CHECK (bind (listenfd, (SA *) &servaddr, sizeof (servaddr)));

   CHECK (listen (listenfd, LISTENQ));

   for ( ; ; ) {
      clilen = sizeof(cliaddr);
      if ( (connfd = accept(listenfd, (SA *) &cliaddr, &clilen)) < 0) {
         ERR_QUIT ("accept");
      }
      sprintf(buf, "Hello!\r\n");
      if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
          ERR_QUIT ("write");
      
      /*str_echo (connfd); */
      
      CHECK (close (connfd)); /* parent closes connected socket */
   }
}
