#include "mine.h"
#include "udplib.h"

static void  recvfrom_int(int);
static int   count;

void
dg_echo(int sockfd, SA *pcliaddr, socklen_t clilen)
{
   socklen_t len;
   char mesg[MAXLINE];

   CHECK(signal(SIGINT, recvfrom_int));

   for ( ; ; ) {
       len = clilen;
       CHECK(recvfrom(sockfd, mesg, MAXLINE, 0, pcliaddr, &len));
       count++;
   }
}

static void
recvfrom_int(int signo)
{
   printf("\nreceived %d datagrams\n", count);
   exit(0);
}
