#define _BSD_SOURCE 1
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main (void)
{
    int n, fd[2];
    pid_t pid;
    char line[1024];
    
    if (pipe(fd) < 0) {
        fprintf(stderr, "pipe error");
        exit(-1);
    }
    
    if ( (pid = fork()) < 0 ) {
        fprintf(stderr, "fork error");
        exit(-1);
    }
    else if (pid==0) {
        close(fd[0]);
        dup2(fd[1], 1);
        /*
         dup2(2, fd[1]);
         close(fd[1]);*/
        n = setenv("RESOFFHOST", "dirac.csit.fsu.edu", 1);
        execl("/home/jake/adv_unix/assg6/test/pipe/hello", "hello", "!", NULL);
        /*write(1, "hello world\n", 12);*/
    }
    else {
        close(fd[1]);
        n = read(fd[0], line, 1024);
        printf("n:%d\n", n);
        write(1, line, n);
    }
    
    exit(0);
}

        

