#define _POSIX_C_SOURCE 199506L

#include <stdio.h>
#include <signal.h>
#include <unistd.h>

#ifndef BLOCK

#define SIGFILL(SET)\
 if ( sigfillset (&SET) ) {\
   fprintf(stderr, "sigfillset error\n");\
   exit(-1);\
 }

#define BLOCK(OLDSET, NEWSET)\
 if ( sigprocmask (SIG_BLOCK, &NEWSET, &OLDSET) ) {\
   fprintf(stderr, "sigprocmask block error\n");\
   exit (-1);\
 }

#define UNBLOCK(OLDSET, NEWSET)\
 if ( sigprocmask (SIG_UNBLOCK, &NEWSET, &OLDSET) ) {\
   fprintf(stderr, "sigprocmask unblock error\n");\
   exit (-1);\
 }
 
#endif
