#include "mine.h"
#include "udplib.h"

int
main(int argc, char **argv)
{
   int sockfd;
   struct sockaddr_in servaddr;

   if (argc != 2) ERR_QUIT("usage: udpcli <IPaddress>");

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family = AF_INET;
   servaddr.sin_port = htons(SERV_PORT);
   CHECK(inet_pton(AF_INET, argv[1], &servaddr.sin_addr));

   sockfd = socket(AF_INET, SOCK_DGRAM, 0);
   dg_cli(stdin, sockfd, (SA *) &servaddr, sizeof(servaddr));

   exit(0);
}
