#define _POSIX_C_SOURCE 199506L
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/wait.h>

#define HOWLONG 5

/* The macro CHECK is used to check that the value returned by a
   system call is nonzero, and terminate the program immediately if
   this check fails.
 */

#define CHECK(CALL)\
 if ((CALL) < 0) {\
    perror (#CALL);\
    _exit (-1);\
 }

#define ERR_QUIT(MSG) {\
 perror (MSG);\
 _exit (-1);\
 }
