#include "resoff.h"
#include "checks.h"

int reserve (char *filename, char **argv) {

    int i;
    extern int fd;
    int len;
    Room slot;

    /* insert arg checking routine */

    CHECK (fd = open (filename, O_CREAT | O_RDWR,
		      S_IRUSR | S_IWUSR));

    if ( empty_db (fd) ) {
	initdb(filename);
	CHECK (lseek (fd, 0, SEEK_SET)); /*del when multiple*/
    }

    CHECK (len = read (fd, &slot, sizeof(slot)));

    if ( slot.count > -1 && slot.count < 4 ) {
        slot.count++;
        for (i=0; i<4; i++) {
	    if ( slot.empty[i] ) {
	        slot.empty[i] = FALSE;
	        slot.desk[i].uid = getuid();
		strcpy(slot.desk[i].class, argv[4]);
		CHECK (lseek (fd, 0, SEEK_SET));
		CHECK (len = write (fd, &slot, sizeof(slot)));
		CHECK (close(fd));
		return (NORMAL);
	    }
	}
    }
    else if ( slot.count == 4 ) {
        printf("No empty desk at %s on %s\n", argv[3], argv[2]);
	CHECK (close(fd));
	exit (ERROR);
    }
    else {	
	printf("Slot count error in reserve.\n");
	CHECK (close(fd));
	exit (ERROR);
    }
    
    /*CHECK (close(fd)); */
    return(NORMAL);

}
/*
int class_input (Room *slot, int i, char *a_class) {

    switch ( i ) {
    case 0:
        strcpy (slot->class0, a_class);
	break;
    case 1:
        strcpy (slot->class1, a_class);
	break;
    case 2:
        strcpy (slot->class2, a_class);
	break;
    case 3:
        strcpy (slot->class3, a_class);
	break;
    default:
        printf("Argument error in class_input.\n");
	exit(ERROR);
	break;
    }

    return (NORMAL);

}
*/
