#include "config.h"
#include "resoff.h"

void req_list (int sockfd)
{
    char sendline[2];
    char recvline[MAXLINE];
    int n;
    int count;
        
    count = 0;

    n = sizeof(sendline);
    snprintf(sendline, n, "l");
        
    if ( (write(sockfd, sendline, n)) != n )
        ERR_QUIT ("writing");

    while ( (n = readline(sockfd, recvline, MAXLINE)) > 0) {
        if ( count++ > 5000 ) {
            error_quit('C');
        }
        recvline[n] = 0;	/* null terminate */
        if (fputs(recvline, stdout) == EOF)
            ERR_QUIT("fputs error");
    }

    if ( n < 0 ) {
        error_quit ('9');
    }
}
