#include "xresoff.h"

void option_menu ( GtkWidget *w, gpointer data )
{
    GtkLabel *a_label;
    
    switch ( GPOINTER_TO_INT(data) ) {
        case 1:
            sprintf(server, "mom.cs.fsu.edu");
            setenv("RESOFFHOST", server, 1);
            a_label = GTK_LABEL(s_label);
            gtk_label_set_text(a_label, (gchar *) server);
            break;
        case 2:
            sprintf(port, "11429");
            setenv("RESOFFPORT", port, 1);
            a_label = GTK_LABEL(p_label);
            gtk_label_set_text(a_label, (gchar *) port);
            break;
        default:
            break;
    }
    
}

void xresoff_menu( GtkWidget *w, gpointer data )
{
    GtkLabel *a_label;
    a_label = GTK_LABEL(m_label);

    switch ( GPOINTER_TO_INT(data) ) {
        case 1:
            gtk_label_set_text(a_label, "Reserve!");
            xreserve();
            break;
        case 2:
            gtk_label_set_text(a_label, "Cancel!");
            xcancel();
            break;
        case 3:
            gtk_label_set_text(a_label, "List!");
            xlist();
            break;
        default:
            break;
    }
    
}

void get_entry_day ( GtkWidget *widget,
                      gpointer data)
{
    sprintf(arg_day, "%s", (char *)gtk_entry_get_text( (GtkEntry *) data ));
}

void get_entry_time ( GtkWidget *widget,
                      gpointer data)
{
    sprintf(arg_time, "%s", (char *)gtk_entry_get_text( (GtkEntry *) data ));
}

void get_entry_course ( GtkWidget *widget,
                      gpointer data)
{
    sprintf(arg_course, "%s", (char *)gtk_entry_get_text( (GtkEntry *) data ));
}

void get_entry_id ( GtkWidget *widget,
                      gpointer data)
{
    sprintf(arg_id, "%s", (char *)gtk_entry_get_text( (GtkEntry *) data ));
}

void get_env () 
{
    char *envpath;
    
    envpath = getenv("RESOFFBINDER");
    if ( envpath == NULL ) {
        fprintf(stderr, "RESOFFBINDER environment needed\n");
        exit(-1);
    }
    sprintf(pathname, envpath);
    if ( pathname[strlen(envpath) - 1] != '/' )
        strcat(pathname, "/");
    strcat(pathname, "resoffc");
}

