
/* #define   __STRICT_ANSI__ */
/* enforces ISO Standard C */
/* #define   _POSIX_C_SOURCE 199506L */
/* if ==1, enforces strict conformance to IEEE Std 1003.1
   if >=2 adds IEEE Std 1003.2
   if >=199309L, adds IEEE Std 1003.1b-1993 (realtime)
   if >=199506L, adds IEEE Std 1003.1c-1995 (threads) */
/* #define __EXTENSIONS__ */
/* allows POSIX extensions */
#define _XOPEN_SOURCE 1 
/* includes POSIX and XPG features */
#define _XOPEN_SOURCE_EXTENDED 1
/* allows X/Open Unix extensions. */
#define _REENTRANT
/* selects reentrant versions of declarations
   you need this if you are using signal handlers and/or threads */

#include <unistd.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
