#include "config.h"
#include "resoff.h"
#include "boolean.h"
#include "mask.h"

/*======================================================================
  Function initdb
  Input : database file name
  Output : initialized time block data
  initialze the reservation database file
======================================================================*/
int initdb (int fd)
{
    int i;
    int len;                      /* length of a string */
    Room slot;                    /* a time block */
    sigset_t newset, oldset;      /* new and old signal sets */

    slot.count=0;                 /* number of reserved desk */
    slot.empty[0] = TRUE;         /* desk is empty */
    slot.empty[1] = TRUE;
    slot.empty[2] = TRUE;
    slot.empty[3] = TRUE;

    CHECK (lseek (fd, 0, SEEK_END));

    SIGFILL(newset);
    BLOCK(newset, oldset);

    for (i=0; i<69; i++) {
        CHECK (len = write (fd, &slot, sizeof(slot)));
    }

    UNBLOCK(newset, oldset); 

    return(0);
}
