#include "dtcli.h"

int main(int argc, char **argv)
{
    int sockfd, n;
    struct sockaddr_in servaddr;
    struct hostent *hosts;
    char recvline[MAXLINE + 1];
    /*    socklen_t salen;
     struct sockaddr *sa;*/

    memset(&servaddr, 0, sizeof(servaddr));
    servaddr.sin_family = AF_INET;
    servaddr.sin_port = htons((int)argv[1]);
    hosts = gethostbyname("teak.csit.fsu.edu");
    if (hosts == NULL) fprintf(stderr, "host error\n");
    servaddr.sin_addr = *(struct in_addr *) (hosts->h_addr_list[0]);
    
    sockfd = socket(AF_INET, SOCK_DGRAM, 0);
    printf("sockfd:%d\n", sockfd);
    
    if (sockfd < 0) {
        fprintf(stderr, "socket error\n");
        perror(strerror(errno));
        exit(-1);
    }
    
    n = sendto(sockfd, "", 1, 0, (SA *) &servaddr, sizeof(servaddr));
    
    printf("n:%d sendto\n", n);
    
    n = recvfrom(sockfd, recvline, 26, 0, NULL, NULL);
    recvline[n] = 0;	/* null terminate */
    fputs(recvline, stdout);
    printf("n:%d end\n", n);
    exit(0);
}
