#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <syslog.h>
#include <stdio.h>

int daemon_init(void) 
{
    pid_t pid;
    
    if ( (pid = fork() ) < 0 )
        return (-1);
    else if (pid != 0)
        exit(0);
    
    setsid();
    
    chdir("/");
    
    umask(0);

    openlog("jake-a.out", LOG_PID, LOG_USER);

    return(0);
}

int main() 
{
    int n;
    
    n = daemon_init();
    
    if ( n < 0 )
        exit(-1);

    fprintf(stderr, "standard error test");
    syslog( LOG_ERR, "daemon test");
    
    while(1);
    
    return 0;
}
