#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>

int main (void)
{
    pid_t pid;
    
    if ( (pid=fork()) < 0 ) {
        fprintf(stderr, "fork error");
        exit(-1);
    }
    else if ( pid == 0 ) {
        if ( execlp("ls", "ls", "-l", NULL) < 0 ) {
	    perror( "exec error" ),
            exit(-1);
        }
    }
    else exit(0);

    return 0;
}
