#include <stdio.h>
#include <string.h>
#include "resoff.h"

/*======================================================================
  Function get_option
  Input : number of arguments and arguments of main function
  Output : option number of reserve, cancel or list
           Return value:
	     -r option : _RESERVE (1)
	     -d option : _CANCEL (2)
	     -l option : _LIST (3)
	     otherwise : 0
  determine option number from user input
======================================================================*/
int get_option (int argc, char **argv) {

    if ( argc < 2 ) {                     /* too small arguments */
        return (FALSE);
    }
    else if ( argv[1][0] == '-' && strlen(argv[1]) == 2 ) {  /* -r, -d, -l */
        switch( argv[1][1] ) {
	case 'r' :
	    if ( argc == 5 ) { return (_RESERVE); }
	    break;
	case 'd' :
	    if ( argc == 5 || argc == 4 ) { return (_CANCEL); }
	    break;
	case 'l' :
	    if ( argc == 2 ) { return (_LIST); }
	    break;
	default:
	    return (FALSE);
	    if ( argc == 5 ) { return (1); }
	}
    }

    return (FALSE);
    
}
