#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>

#include <errno.h>

int main () {
  
  extern int errno;
  int fd;
  char filename[] = "temp_file";

  fd = open (filename, O_CREAT | O_EXCL,
	     S_IRUSR | S_IWUSR);

  if ( fd < 0 ) {
    if ( errno == EEXIST ) {
      fprintf(stderr, "Already exist file\n");
      exit(-1);
    }
    fprintf(stderr, "Other error %d\n", errno);
    exit(-1);
  }

  close (fd);

  if ( unlink (filename) < 0 ) {
    fprintf(stderr, "Unlink error\n");
  }

  return (0);

}
