#include "resoff.h"
#include "checks.h"

/*======================================================================
  Function empty_db
  Input : none
  Output : boolean value of empty file
  is database file is empty?
======================================================================*/
int empty_db () {

    struct stat statbuf;          /* status of a file */
    extern int fd;                /* file descriptor of database file */

    CHECK (fstat (fd, &statbuf));

    if ( statbuf.st_size ) {
        return (FALSE);           /* not empty */
    }
    else {
        return (TRUE);
    }

    return (ERROR);
}
