#include "resoff.h"
#include "checks.h"

int list (char *filename) {

    int i;
    extern int fd;
    int len;
    Room slot;
    struct passwd *user;

    CHECK (fd = open (filename, O_CREAT | O_RDWR,
		      S_IRUSR | S_IWUSR));

    if ( empty_db (fd) ) {
        printf("Empty database, please reserve first\n");
	CHECK (close (fd));
	exit (ERROR);
    }
    
    CHECK (len = read (fd, &slot, sizeof(slot)));
    CHECK (close (fd));

    printf ("count: %1d\n", slot.count);
    for (i=0; i<4; i++) {
        if ( !slot.empty[i] ) {
	    user = getpwuid(slot.desk[i].uid);
	    printf ("%s %s\n", user->pw_name, slot.desk[i].class);
	}
    }

    return(0);

}
