#include <stdio.h>
#include <strings.h>
#include <unistd.h>
#include <fcntl.h>
#include <pwd.h>
#include <sys/types.h>
#include <sys/stat.h>

#ifndef _STDDEF
#define _STDDEF 1
typedef struct {
  uid_t uid;
  char class[8];
} Desks;
typedef struct {
  int count;           /* number of empty desk */
  int empty[4];        /* Boolean of empty desk */
  Desks desk[4];
  /*  uid_t uid[4];        * Reserved user id */
  /*char class0[8];      * Class name of desk 0 */
  /*char class1[8];      * Class name of desk 1 */
  /*char class2[8];      * Class name of desk 2 */
  /*char class3[8];      * Class name of desk 3 */
} Room;
#endif

#define NORMAL 0
#define ERROR -1
#define TRUE   1
#define FALSE  0

#define _RESERVE 1
#define _CANCEL  2
#define _LIST    3

uid_t uid;
uid_t euid;
int   fd;

int  initdb(char *);
int  get_option(int, char **);
void print_usage();
int  reserve(char*, char**);
int  cancel(char*, int, char**);
int  get_desk_number(Room, int, char **);
int  list(char *);
int  empty_db();
