#define _POSIX_C_SOURCE 199506L
#define __EXTENSIONS__
#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <signal.h>
#include <string.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <netinet/in.h>
/* for Solaris 2.5/2.6 */
/* #include <resolv.h> */
/* #include <nameser.h> */
/* for Linux 2.0 */
/* #include <arpa/inet.h> */

#define MAXLINE 1024

/* The macro CHECK is used to check that the value returned by a
   system call is nonzero, and terminate the program immediately if
   this check fails.
 */

#define CHECK(CALL)\
 if ((CALL) < 0) {\
    perror (#CALL);\
    _exit (-1);\
 }

#define ERR_QUIT(MSG) {\
 perror (MSG);\
 _exit (-1);\
 }

#define SERV_PORT 11111
#define SA struct sockaddr
#define MAXLINE 1024
#define socklen_t int
